Skip to content

Get node configuration override

GET
/api/v1/nodes/{env}/node/{uuid}/config
curl --request GET \
--url https://example.com/api/v1/nodes/example/node/example/config \
--header 'Authorization: <Authorization>'

Returns the node’s osquery configuration override, the environment configuration and the configuration the node is served.

env
required
string

Environment name or UUID

uuid
required
string

Node UUID

OK

Media typeapplication/json
object
applied
string
environment
string
expired
boolean
expires_at
string
override
string
updated_at
string
updated_by
string
Examplegenerated
{
"applied": "example",
"environment": "example",
"expired": true,
"expires_at": "example",
"override": "example",
"updated_at": "example",
"updated_by": "example"
}

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}